Subject: Re: decentralization of Internet (was Re: Bruce Schneier's Proposal to dedicate November meeting to saving the Internet from the NSA

From: [email-masked] (Noel Chiappa)
Date: Sat, 7 Sep 2013 08:20:51 -0400 (EDT)

> From: =?ISO-8859-1?Q?Roger_J=F8rgensen?= <[email-masked]>

    > The userbase and deployment are relative small atm so it's doable to
    > get fast deployment to.

Alas, now that I think about the practicalities.... I don't think the average
router has enough spare computing power to completely encrypt all the traffic.

Whether or not encrypting just the source+dest addresses, and the sort+dest
port (conviently next to each other in one block) is enough to do much good,
and if the average router has enough spare crunch to do even that, is a good
question.

	Noel

---

From: Roger Jørgensen <[email-masked]>
Date: Sat, 7 Sep 2013 15:05:38 +0200

> router has enough spare computing power to completely encrypt all the traffic.

I don't really see that as an issue, it's just a matter of engineering
and building
the router in a way that they can do it. AFAIK I think most routers have the
options of being extended by dedicated encrypt-all-traffic tasks? Probably some
changes needed on the software layer to use the extension but that's doable.

It is also just the situation right now on the router side. In general
should our
current technology and processing power be up for the job if needed.

> and if the average router has enough spare crunch to do even that, is a good

Isn't the payload the important part to protect? the content of the package?

-- 

Roger Jorgensen           | ROJO9-RIPE
[email-masked]          | - IPv6 is The Key!
http://www.jorgensen.no   | [email-masked]

---

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 09 Sep 2013 11:09:32 +0300

I am wondering about the proposals made during this discussion.

1) It appears that some of the suggestions in this thread are about not 
using the existing Internet infrastructure to route packets but rather 
to either use local communication technology (e.g., short range radio) 
or adhoc networks.

I am not sure how practical this is given how the majority of the 
applications on the Internet work today. This would obviously have 
severe impacts on these applications.

2) Regarding the delegation of encryption to network nodes: Are talking 
about an approach similar to Onion routing here?

While I agree that it would be good to provide protection at various 
layers I wonder whether you are trying to find solutions at the wrong 
layer in the protocol stack.

Ciao
Hannes

On 07.09.2013 15:20, Noel Chiappa wrote:
>      >  From: =?ISO-8859-1?Q?Roger_J=F8rgensen?=<[email-masked]>
>